# Td::Model

TODO: Write a gem description

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'td_model'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install td_model

## Usage

* Config

```ruby
require 'td_model'

::TdModel.configure do |config|
  config.database_name = 'db_name'
  config.api_key = ENV['TD_API_KEY']
end
```


* Model

```ruby
class TdUser < TdModel::Base
  self.table_name = 'user'
  set_column :id, Integer
  set_column :name, String
  set_column :mail, String
  set_column :tel
end
```

* Search

```ruby
# Basic
td_user = TdUser.new
res = td_user.where(name: 'John').order(:id).limit(1).query_execute
# res: [
#   TdUser(time, id, name ....),
#   TdUser
# ]

# custom query
td_user = TdUser.new
td_user.query('SELECT user.name FROM user')

or

TdModel::Sql.query('SELECT user.name FROM user')
```
